ListNetworkMigrationCodeGenerationSegments - ApplicationMigrationService

ListNetworkMigrationCodeGenerationSegments

Lists code generation segments, which represent individual infrastructure components generated as code templates.

Request Syntax

POST /network-migration/ListNetworkMigrationCodeGenerationSegments HTTP/1.1 Content-type: application/json { "filters": { "segmentIDs": [ "string" ] }, "maxResults": number, "networkMigrationDefinitionID": "string", "networkMigrationExecutionID": "string", "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

filters

Filters to apply when listing code generation segments.

Type: ListNetworkMigrationCodeGenerationSegmentsFilters object

Required: No

maxResults

The maximum number of results to return in a single call.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

networkMigrationDefinitionID

The unique identifier of the network migration definition.

Type: String

Length Constraints: Fixed length of 21.

Pattern: nmd-[0-9a-zA-Z]{17}

Required: Yes

networkMigrationExecutionID

The unique identifier of the network migration execution.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

nextToken

The token for the next page of results.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "artifacts": [ { "artifactID": "string", "artifactSubType": "string", "artifactType": "string", "checksum": { "encryptionAlgorithm": "string", "hash": "string" }, "createdAt": number, "logicalID": "string", "outputS3Configuration": { "s3Bucket": "string", "s3BucketOwner": "string", "s3Key": "string" } } ], "createdAt": number, "jobID": "string", "logicalID": "string", "mapperSegmentID": "string", "networkMigrationDefinitionID": "string", "networkMigrationExecutionID": "string", "segmentID": "string", "segmentType": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

A list of network migration code generation segments.

Type: Array of NetworkMigrationCodeGenerationSegment objects

Array Members: Minimum number of 0 items. Maximum number of 100 items.

nextToken

The token to use to retrieve the next page of results. This value is null when there are no more results to return.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

Operating denied due to a file permission or access check error.

HTTP Status Code: 403

ResourceNotFoundException

Resource not found exception.

resourceId

Resource ID not found error.

resourceType

Resource type not found error.

HTTP Status Code: 404

ThrottlingException

Reached throttling quota exception.

quotaCode

Reached throttling quota exception.

retryAfterSeconds

Reached throttling quota exception will retry after x seconds.

serviceCode

Reached throttling quota exception service code.

HTTP Status Code: 429

ValidationException

Validate exception.

fieldList

Validate exception field list.

reason

Validate exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: